#
# spec file for package cantarell-fonts
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cantarell-fonts
Version:        0.0.25
Release:        lp150.1.8
Summary:        Contemporary Humanist Sans Serif Font
License:        OFL-1.1
Group:          System/X11/Fonts
Url:            http://live.gnome.org/CantarellFonts
Source:         http://download.gnome.org/sources/cantarell-fonts/0.0/%{name}-%{version}.tar.xz
BuildRequires:  dos2unix
BuildRequires:  fontpackages-devel
# needed for directory ownership
BuildRequires:  fontconfig
BuildRequires:  pkg-config
BuildRequires:  xz
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The Cantarell font family is a contemporary Humanist sans serif designed
for on-screen reading.

%prep
%setup -q

%build
%configure --with-fontdir=%{_ttfontsdir} --with-configdir=%{_fontsconfavaildir}
dos2unix COPYING

%install
%make_install
%link_avail_to_system_fontsconf 31-cantarell.conf

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%doc README COPYING
%files_fontsconf_availdir
%files_fontsconf_file -l 31-cantarell.conf
%dir %{_ttfontsdir}
%{_ttfontsdir}/Cantarell-Bold.otf
%{_ttfontsdir}/Cantarell-Regular.otf
%{_ttfontsdir}/Cantarell-BoldOblique.otf
%{_ttfontsdir}/Cantarell-Oblique.otf

%changelog
* Fri Aug 19 2016 zaitor@opensuse.org
- Update to version 0.0.25:
  + Outline and spacing on C,G.
  + Improved terminals on numerous glyphs.
  + Weight/stem width fixes (k,G).
  + Port imrpovements from regular to bold.
  + Improved metrics.
  + Fixes to f-ligatures.
  + Shape fixes to some numerals.
  + Fixes to anchors > composited glyphs.
* Tue May  3 2016 mgorse@suse.com
- Update to GNOME 3.20  Fate#318572
* Mon Feb 29 2016 zaitor@opensuse.org
- Update to version 0.0.24:
  + Asymmetric k for bold, fix stem width.
  + Sync bold hyphen metrics with regular.
* Mon Feb 22 2016 zaitor@opensuse.org
- Update to version 0.0.23:
  + Reworked anchors for correct accent rendering under harfbuzz
    1.2.0.
  + More anchor and combined glyph work.
* Mon Feb 15 2016 zaitor@opensuse.org
- Update to version 0.0.22:
  + Improvements to the generation script.
  + Bold: double quotes alignment.
  + Rehint font with adobe toolkit.
* Fri Jan 15 2016 zaitor@opensuse.org
- Update to version 0.0.21:
  + Bold:
  - Latin and cyrillic respace.
  - Adapt f ligatures for the new i.
  - Improvements from Cambay.
  - Match width of numerals to regular.
  + Redular: adjust spacing of Thorn, ß, ẞ.
  + Numerals: improved spacing.
* Thu Jan  7 2016 zaitor@opensuse.org
- Update to version 0.0.20.1:
  + Fix composited glyph issues.
  + Fix parallel build issue.
* Mon Jan  4 2016 zaitor@opensuse.org
- Update to version 0.0.20:
  + Cyrillic improvements.
  + x-height hinting tweaks.
  + Sync bold to regular.
  + OE and oe ligatures.
  + Ratio respaced.
  + Capital sharp s for German.
* Sun Dec 20 2015 damjanovic.ivo@gmail.com
- Update to version 0.0.19:
  + Generate oblique version.
  + More diacritics work; full Latin 4 coverage.
  + Tabular figures.
  + Fold over work done on Cambay.
* Mon Nov  9 2015 zaitor@opensuse.org
- Update to version 0.0.18.1:
  + Improved terminals on a,e,r,s,S,l,2.
  + Fix validation errors.
* Mon Nov  2 2015 zaitor@opensuse.org
- Update to version 0.0.18:
  + Respaced t, 4 and 7.
  + Bold accents fixes.
  + Consistent stem width and various improvements on E, H, B
    and S.
  + Harmonized o and c.
  + Improved capitals.
  + Superscript 123 fixes.
  + Extra glyps for gtk+ (arrows, openbox).
* Mon Oct 12 2015 zaitor@opensuse.org
- Update to version 0.0.17.2:
  + Rebuild accented glyphs for bold.
* Mon Oct 12 2015 zaitor@opensuse.org
- Update to version 0.0.17.1:
  + Accent fixes.
  + Revert ijbdklh to snap to caps height.
  + Proper weight of f ligatures for bold.
  + Respaced ligatures.
* Sun Oct  4 2015 zaitor@opensuse.org
- Update to version 0.0.17:
  + Improved shapes and metrics:
  - Baseline and bluezone fixes for autohinter to produce valid
    hints.
  - Many glyphs adjusted for baseline and proper hinting.
* Tue Sep 23 2014 dimstar@opensuse.org
- Update to version 0.0.16:
  + Add space variations (bgo#735205).
* Fri Sep 27 2013 zaitor@opensuse.org
- Update to version 0.0.15:
  + Improved spacing for cyrillics (bgo#703588).
  + Fixed hinting on numerals (bgo#704084).
  + Bold outlines improved (bgo#706358).
  + Improved cyrillics (bgo#706358).
  + Improved outlines and spacing (bgo#703115).
  + Missing romanian accent glyphs (bgo#705004).
  + Uppercase U shape improvements (bgo#702955).
* Fri Sep 20 2013 toms@opensuse.org
- Fixed bnc#827785: Cantarell font packaged into wrong folder
* Fri Aug 23 2013 zaitor@opensuse.org
- Update to version 0.0.14:
  + Large improvement to shapes of latin and extended latin glyphs.
  + Improvements to the numeral shapes.
  + Greatly improved horizontal metrics of regular weight.
  + Corrected maths.
  + Corrected outlines & metrics of Cyrillics.
* Sat Jun 22 2013 zaitor@opensuse.org
- Update to version 0.0.13:
  + Many l/rbearking tweaks.
  + Extra symbols for Shell (bgo#657957).
  + Balanced shape for s and S.
  + Balanced shape for 6 and 9.
  + Balanced 2 and 3.
  + Improved hints.
  + OT anchors for accents.
  + Contrast tweaks to bold (b, B, e).
* Sun Dec 23 2012 zaitor@opensuse.org
- Update to version 0.0.12:
  + Improved ligatures.
  + Improve and add missing cyrillics. (bgo#689220)
  + Advanced typo glyphs. (bgo#689184)
* Fri Nov 16 2012 dimstar@opensuse.org
- Update to version 0.0.11:
  + Use ligature lookup tables.
  + Make digits monospaced for bold.
* Mon Oct  8 2012 pgajdos@suse.com
- use %%files_fontsconf_availdir and %%files_fontsconf_file macros
* Tue Oct  2 2012 pgajdos@suse.com
- install avail configuration into /usr/share/%%{name}/conf.avail
  and use %%link_avail_to_system_fontsconf macro for linking it into
  /etc/fonts/conf.d (fontconfig 2.10 doesn't use /etc/fonts/conf.avail)
* Tue Sep 25 2012 zaitor@opensuse.org
- Update to version 0.0.10.1:
  + build related fixes.
* Fri Sep 14 2012 vuntz@opensuse.org
- Update to version 0.0.10:
  + Generate OTF from SFDs automatically
  + Install to appropriate system directories
  + Fix cyrillic metrics
  + Improve EE diacritics
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Mon Jun 11 2012 dimstar@opensuse.org
- Update to version 0.0.9:
  + initial support for Cyrillic
  + uppercase Greek
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Sat Apr  7 2012 toms@opensuse.org
- Added xz to the list of BuildRequire-ments
* Tue Mar 27 2012 vuntz@opensuse.org
- Update to version 0.0.8:
  + accented l (bgo#665433)
  + extrema & node fixes
  + build related fixes
* Tue Oct 18 2011 vuntz@opensuse.org
- Update to version 0.0.7:
  + ON/OFF glyphs (bgo#643120)
  + combining circumflex metrics (bgo#637066)
  + ] hinting (bgo#652834)
  + bold: 'a','e','n','s' and 'c' hints.
  + black circle a circle (bgo#660442)
  + bold: sync accented characters with base glyph.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Tue Apr  5 2011 fcrozat@novell.com
- Update to version 0.0.6:
  + bold l
  + fix umlaut positions (bgo#646222)
  + README fixes
* Thu Mar 24 2011 fcrozat@novell.com
- Update to version 0.0.5:
  + improved password entry glyph
  + improved hyphen by making narrower
  + improved licensing and FONTLOG metadata
  + improved vertical metrics
- Changes from version 0.0.4:
  + improved hints on numerals and bold letters
  + improved metrics
* Thu Mar 24 2011 fcrozat@novell.com
- Add fontconfig BuildRequires for directory ownership.
* Tue Feb 22 2011 fcrozat@novell.com
- Update to version 0.0.3:
  + create the tarball from the actual git master
- Changes from version 0.0.2:
  + improved hints, hinting related metrics
  + added black circle glyph for password entries
  + increased size of '^'
  + fixed the fontconfig script not to override the global default
- Remove call to autogen.sh since we don't use a git tarball
  anymore.
* Mon Jan 17 2011 fcrozat@novell.com
- Fix fontconfig file path (/etc/fontconfig/conf.avail instead of
  /usr/share/fontconfig/conf.avail) by setting configdir in
  %%make_install, and set cantarell as default font by linking it in
  /etc/fontconfig/conf.d.
* Wed Dec 15 2010 vuntz@opensuse.org
- Initial package (from git as of 2010-12-15).
